/****************************************************************************/
/* ibsdesf.h  (c) Copyright Black Ice Software Inc.  1989 - 1991            */
/*                   All Rights Reserved                                    */
/*                   Unpublished and confidential material.                 */
/*                   --- Do not Reproduce or Disclose ---                   */
/****************************************************************************/

/**********************************************************************************
  Module
	e:\c\ujtdemo\ibsdefs.h

  Revision
		$Revision:   1.0  $

  Description
		Structures and typedefs for IBS image decoding.

  Notes
		None.

  History
	$Log:   E:/c/ujtdemo/ibsdefs.h_v  $
   
      Rev 1.0   24 Jan 1991 11:02:46   Hrasko_Gabor
   This is a reference version.
**********************************************************************************/

//------------------------------- Module Defines ------------------------------

#define IBSMAGIC   0xABCD  	  
#define	IBSIMGOFFSET	0x200	  

// Compression types.
#define IBS_G31D			0
#define IBS_G4			1
#define IBS_G32D			2
#define IBS_RAW			3
#define IBS_G3NOEOL		4
#define IBS_G3NOEOLT	5

#define IBS_K_FACTOR	4

//-------------------------------- Module Types -------------------------------

// This structure contains only the most important fields from the
// original IBS image header.
typedef struct tagIBSIMGHEADER {
    WORD    wMagicNum;             // 0xABCD
    int     nYOrigin;
    int     nXOrigin;
    int     nHeight;
    int     nWidth;
    int     nBitsPixel;
    WORD    wCompression;     		// 1 thru 5 
	  } IBSIMGHEADER;

//------------------------------ Global Functions -----------------------------

//------------------------------ Global Variables -----------------------------

//------------------------------ Module Functions -----------------------------

//------------------------------ Module Variables -----------------------------

//--------------------------------- Footnotes ---------------------------------

//-------------------------------- End of file --------------------------------
