/****************************************************************************/
/* tdemo.h   (c) Copyright Black Ice Software Inc.  1989 - 1991             */
/*                   All Rights Reserved                                    */
/*                   Unpublished and confidential material.                 */
/*                   --- Do not Reproduce or Disclose ---                   */
/****************************************************************************/
int PASCAL WinMain(HANDLE, HANDLE, LPSTR, int);
BOOL InitApplication(HANDLE);
BOOL InitInstance(HANDLE, int);
long FAR PASCAL MainWndProc(HWND, unsigned, WORD, LONG);
BOOL FAR PASCAL About(HWND, unsigned, WORD, LONG);
VOID ReplaceBitmap(HBITMAP hNewBitmap, BOOL bDelName, BOOL bUpdate, GPAGETYPE *pPage);
VOID DeleteBitmap(BOOL bDelName, GPAGETYPE far *pPage);
void SetWindowView(HDC hDC, GPAGETYPE far *pPage);
BOOL AdjustArea(GPAGETYPE far *pPage);
HWND CreateImageDisplay(VOID);
VOID CalcWindowView(GPAGETYPE *pPage);


#define IDM_OPEN            100
#define IDM_SAVE            101
#define IDM_SAVEAS          102

#define IDM_PRINT           103
#define IDM_PPREVIEW        104
#define IDM_PRSETUP         105

#define IDM_EXIT            106
#define IDM_ABOUT           107

#define IDM_COPY            108
#define IDM_CUT             109
#define IDM_DELETE          110
#define IDM_PASTE           111

#define IDM_ROTATE_90       112
#define IDM_INVERT          113
#define IDM_ZOOMIN          114
#define IDM_NORMAL          115

#define IDM_ROTATE_180      116
#define IDM_FLIP_VERT       117
#define IDM_FLIP_HORIZ      118

#define IDM_GRAB            119
#define IDM_EXT_GRAB        120

#define IDM_DIMENSIONS      121
#define IDM_BLACK           122
#define IDM_WHITE           123
#define IDM_COLOR           124
#define IDM_FILEFORMAT      125
#define IDM_PREVIEW         126

#define IDM_WINDOWTILE      127
#define IDM_WINDOWCASCADE   128
#define IDM_WINDOWICONS     129		
#define IDM_WINDOWCLOSEALL  130

#define IDM_DECOMP          131   // last ID for MenuMessage(...)

//----- String constanc for RC file ---
#define IDS_READY           200   // misc defines
#define IDS_MANYCLOCKS			201   // too many timers 
#define IDS_APPNAME         202   // application name
#define IDS_RESOURCESGETTINGLOW 203 
#define IDS_STATUSCLASS     204
#define IDS_LOWMEMORY       205
#define IDS_RESOURCESGONE   206
#define IDS_NODECOMPRESS    207
#define IDS_OPENDECOMPRESS  208

//----- about dialogbox constants ---
#define AB_CMEM             200   // free conventional memory
#define AB_DSPACE           201   // free disk space
#define AB_VERSION          202


// BmInfo Dialog box IDs.
#define ID_BMNAME           200
#define ID_BMWIDTH          201
#define ID_BMHEIGHT         202
#define ID_BMPLANES         203
#define ID_BMBITS           204

#define IDM_MDICHILD        300
#define IDM_ENDMENU         300

#define WINDOWMENU            4    // position of window menu       

#define ST_REGULAR            1    // Status Window Display Styles
#define ST_ALARM              2
#define ST_MENU               3
#define ST_COFFEE             4
#define ST_READY              5

#define GWW_DISPLAYSTYLE      0    // status windows extra byte


// makeintresource numbers
#define COFFEE                1

#define CLASSNAME_L          20    // Class name lenght

#define STATCBWNDEXTRA        2    // status child window

#define PM_STATUSTEXT   WM_USER + 1
#define PM_STATUSBMP    WM_USER + 2
#define PM_IMGINIT      WM_USER + 3
#define PM_DECOPM_END   WM_USER + 4

#define SWAP(X,Y)   ((X)^=(Y)^=(X)^=(Y))

#define NORMRECT(R)   {                                            \
                     if(R.right < R.left)   SWAP(R.right,R.left);  \
                     if(R.bottom < R.top)   SWAP(R.bottom,R.top);  \
                     }



